Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.json
[Java] Class PrettyPrintJSONWriter

    java.lang.Object
      org.codehaus.groovy.grails.web.json.JSONWriter
          org.codehaus.groovy.grails.web.json.PrettyPrintJSONWriter

    public class PrettyPrintJSONWriter
    extends JSONWriter

A JSONWriter dedicated to create indented/pretty printed output.

Authors:
  Siegfried Puchbauer

Since:
  1.1

Field Summary
`static java.lang.String` | `DEFAULT_INDENT_STR`
`static java.lang.String` | `NEWLINE`

Fields inherited from class JSONWriter
comma, mode, writer

Constructor Summary
`PrettyPrintJSONWriter(java.io.Writer w)`
`PrettyPrintJSONWriter(java.io.Writer w, java.lang.String indentStr)`

Method Summary
`protected JSONWriter` | `append(groovy.lang.Writable writableValue)`
`JSONWriter` | `array()`
`protected JSONWriter` | `end(Mode m, char c)`
`JSONWriter` | `endArray()`
`JSONWriter` | `endObject()`
`JSONWriter` | `key(java.lang.String s)`
`JSONWriter` | `object()`

Methods inherited from class JSONWriter
append, append, array, comma, end, endArray, endObject, key, object, pop, push, value, value, value, value, value, valueNull

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### DEFAULT_INDENT_STR

    public static final java.lang.String DEFAULT_INDENT_STR

### NEWLINE

    public static final java.lang.String NEWLINE

Constructor Detail

### PrettyPrintJSONWriter

    public PrettyPrintJSONWriter(java.io.Writer w)

### PrettyPrintJSONWriter

    public PrettyPrintJSONWriter(java.io.Writer w, java.lang.String indentStr)

Method Detail

### append

    @java.lang.Override
    protected JSONWriter append(groovy.lang.Writable writableValue)

### array

    @java.lang.Override
    public JSONWriter array()

### end

    @java.lang.Override
    protected JSONWriter end(Mode m, char c)

### endArray

    @java.lang.Override
    public JSONWriter endArray()

### endObject

    @java.lang.Override
    public JSONWriter endObject()

### key

    @java.lang.Override
    public JSONWriter key(java.lang.String s)

### object

    @java.lang.Override
    public JSONWriter object()

Groovy Documentation